# -*- coding: utf-8 -*-
"""
Spyder Editor

author m.klaassen, parac.eu
"""
#Muon_Data_110425_0116.txt
import numpy as np
import matplotlib.pyplot as plt#
import time
import os
plt.rcParams["savefig.directory"]=""
timestr = time.strftime("%Y%m%d-%H%M%S")
print (timestr)

print('Enter data block name:')
xname = input()
print('using; ' + xname)
print('Calculating, please wait')


with open(
    xname, 'r') as r, open(
        "mod_file.txt", 'w') as o:
    for line in r:

        if line.strip():
            o.write(line)
#exit()

fil1 = open('mod_file.txt', 'r')
conf = fil1.readlines()
fil1.close

print('Enter Event nr start:')
event_nr_start = int(input())
print('using; ' ,event_nr_start)
print()

print('Enter Event nr stop:')
event_nr_stop = int(input())
print('using; ',event_nr_stop)
print()

tag=['Comp_date','Comp_time','Event','Ardn_time[ms]','ADC[0-1023]','SiPM[mV]','Deadtime[ms]','Temp[C]']

print ('select the column numbers to form the x and y axis')
print ('0=Comp_date 1=Comp_time 2=Event 3=Ardn_time[ms] 4=ADC[0-1023] 5=SiPM[mV] 6=Deadtime[ms] 7=Temp[C]')
print('Enter column nr for x-axis:')
xax = int(input())
print('using; ',xax)
print()
print('Enter column nr for y1-axis:')
yax1 = int(input())
print('using; ',yax1)
print()
print('Enter column nr for y2-axis:')
yax2 = int(input())
print('using; ',yax2)
print()
#for i in range(0,20):
#    print (i,str(conf[i]))


for i in range(0,20):#find start of table
    
    rei=(conf[i].split(' '))
    if rei[0]=='2025-04-11':
        #print (i,rei[2])
        if rei[2]=='1':
            stlist=i
print (stlist)
print()        

rei=(conf[stlist].split(' '))
print(rei[0],rei[1],rei[2],rei[3],rei[4],rei[5],rei[6],rei[7])


col_x=np.zeros(((event_nr_stop)-(event_nr_start)))
col_y1=np.zeros(((event_nr_stop)-(event_nr_start)))
col_y2=np.zeros(((event_nr_stop)-(event_nr_start)))
for i in range(0,(event_nr_stop)-(event_nr_start)):
    rei=(conf[i+stlist].split(' '))
    col_x[i]=float(rei[xax])
    col_y1[i]=float(rei[yax1])
    col_y2[i]=float(rei[yax2])
#print (col_x[0],col_y1[0],col_y2[0])

fig=plt.figure(10)
ax = fig.add_subplot(111)
ax.set_title('bb')
ax.plot(col_x,col_y1,label=tag[yax1])
ax.plot(col_x,col_y2,label=tag[yax2])#
ax.set_xlabel(tag[xax])
ax.set_ylabel('Intensity')
ax.legend(loc=1)#1=rb,2=lb,3=lo, ro=4

plt.savefig('plot'+str(timestr)+'.png')
plt.show()









print ('done')




 

